#ifndef ___FRAME0_H
#define ___FRAME0_H
extern void _frame0();
extern int _CurrentFrame;
extern void FreeCurrentFrame();
extern void hmi_GotoFrame(int nFrame);
extern void hmi_TimerTrigger();
extern void hmi_TurnBacklight(int bOn);
extern int g_TimerTicksCount;

extern tCheckBoxWidget CheckBoxWidget5;
extern void OnCheckBoxWidget5CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget8;
extern void OnCheckBoxWidget8CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget10;
extern void OnCheckBoxWidget10CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget12;
extern void OnCheckBoxWidget12CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCanvasWidget LabelWidget21;
extern tCanvasWidget LabelWidget22;
extern tCanvasWidget LabelWidget23;
extern tCanvasWidget LabelWidget24;
extern tCheckBoxWidget CheckBoxWidget4;
extern void OnCheckBoxWidget4CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget9;
extern void OnCheckBoxWidget9CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget11;
extern void OnCheckBoxWidget11CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget13;
extern void OnCheckBoxWidget13CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCanvasWidget LabelWidget14;
extern tCanvasWidget LabelWidget15;
extern tCanvasWidget LabelWidget16;
extern tCanvasWidget LabelWidget17;
extern void OnFrame12Paint(tWidget *pWidget, tContext *pContext);

extern tCanvasWidget CanvasFrame1;

extern void InitWidget1();

extern void FreeWidget1();


extern void _frame1();

#endif
